--- title: "GET Standalone Bucket Utilizations for Bucket Name" slug: "stats-api-get-v1standalone-utilizations-bucket-bucketname" updated: 2026-02-03T14:57:18Z published: 2026-02-03T14:57:18Z canonical: "docs.wasabi.com/stats-api-get-v1standalone-utilizations-bucket-bucketname" --- > ## Documentation Index > Fetch the complete documentation index at: https://docs.wasabi.com/llms.txt > Use this file to discover all available pages before exploring further. # GET Standalone Bucket Utilizations for Bucket Name Returns a list of Stats API utilizations based on bucket name. Wasabi Stats API requests: https://stats.wasabisys.com Note that this link is used when requesting data; there is no application or page to access. > These Stats API calls require the Wasabi API keys, not WAC API keys. Wasabi API keys used must either be Root keys or have associated billing permissions. #### URL (GET) ```json GET /v1/standalone/utilizations/bucket/:bucketName ``` #### Query Parameter Example This is an example of how to use the query parameters as filters. ```json https://stats.wasabisys.com/v1/standalone/utilizations/bucket/:bucketName?pageNum=0&pageSize=1&latest=true&from=2023-12-25&to=2024-12-25 ``` #### Query Parameters | Name | Description | Required | | --- | --- | --- | | bucketName | For the URL parameter, specify the bucket name for which to retrieve bucket utilization. | Yes | | pageNum | Defines the page number from which to retrieve data. If not defined, the default page is 0. | No | | pageSize | Number of items to be included for the page size (max value 100). If not defined, the default value is 100. | No | | latest | If the latest parameter is set to true, then the latest bucket utilization for a specific bucket will be retrieved. | No | | from | The date from year, month, day. For example, if you specify the date **from** 2023-12-25 and the date **to** 2024-12-25, then all items within that range will be included. If not defined, the default value is the date of the last month from today. | No | | to | The date to year, month, day. If not defined, the default value is the date today. | No | #### Request This example shows the request for standalone bucket name utilizations. ```json {        "name": "Read Standalone Bucket Utilization based on bucket name",        "request": {        "method": "GET",        "header": [        {        "key": "Authorization",        "value": "AccessKey:SecretKey",        "type": "text"        }        ],        "url": {        "raw": "https://stats.wasabisys.com/v1/standalone/utilizations/bucket/:bucketName?pageNum=0&pageSize=1&latest=true&from=1223-12-25&to=2024-12-25",        "protocol": "https",        "host": [        "stats",        "wasabisys",        "com"        ],        "path": [        "v1",        "standalone",        "utilizations",        "bucket",        ":bucketName"        ],        "query": [        {        "key": "from",        "value": "2023-12-25",        "disabled": true        },        {        "key": "to",        "value": "2024-12-25",        "disabled": true        },        {        "key": "pageNum",        "value": "0"        },        {        "key": "pageSize",        "value": "1"        },        {        "key": "latest",        "value": "true"        }        ],        "variable": [        {        "key": "bucketName",        "value": "bardhatest06mar"        }        ]        }        } ``` #### Response This example shows the response for bucket name utilizations. ```json {        "PageInfo": {        "RecordCount": 102615,        "PageCount": 102616,        "PageSize": 1,        "PageNum": 0        },        "Records": [        {        "BucketUtilizationNum": 87776714590,        "AcctNum": 1153,        "AcctPlanNum": 9220,        "BucketNum": 8028166,        "StartTime": "2023-12-25T00:00:00Z",        "EndTime": "2024-12-25T00:00:00Z",        "CreateTime": "2024-12-25T00:01:07Z",        "NumBillableObjects": 584992,        "NumBillableDeletedObjects": 0,        "RawStorageSizeBytes": 522489700000,        "PaddedStorageSizeBytes": 522489700000,        "MetadataStorageSizeBytes": 12285549,        "DeletedStorageSizeBytes": 0,        "OrphanedStorageSizeBytes": 0,        "NumAPICalls": 0,        "UploadBytes": 0,        "DownloadBytes": 0,        "StorageWroteBytes": 0,        "StorageReadBytes": 0,        "NumGETCalls": 0,        "NumPUTCalls": 0,        "NumDELETECalls": 0,        "NumLISTCalls": 0,        "NumHEADCalls": 0,        "DeleteBytes": 0,        "Bucket": "smr-05222022",        "Region": "us-east-1"        }        ]} ```